## EmpathyAccountChooser

EmpathyAccountChooser

## Synopsis

    gboolean            (*EmpathyAccountChooserFilterFunc)  (McAccount *account,
                                                             gpointer user_data);
                        EmpathyAccountChooser;
    GtkWidget*          empathy_account_chooser_new         (void);
    McAccount*          empathy_account_chooser_get_account (EmpathyAccountChooser *chooser);
    gboolean            empathy_account_chooser_set_account (EmpathyAccountChooser *chooser,
                                                             McAccount *account);
    gboolean            empathy_account_chooser_get_has_all_option
                                                            (EmpathyAccountChooser *chooser);
    void                empathy_account_chooser_set_has_all_option
                                                            (EmpathyAccountChooser *chooser,
                                                             gboolean has_all_option);
    void                empathy_account_chooser_set_filter  (EmpathyAccountChooser *chooser,
                                                             EmpathyAccountChooserFilterFunc filter,
                                                             gpointer user_data);
    gboolean            empathy_account_chooser_filter_is_connected
                                                            (McAccount *account,
                                                             gpointer user_data);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkComboBox
                                           +----EmpathyAccountChooser

## Implemented Interfaces

EmpathyAccountChooser implements AtkImplementorIface, GtkBuildable, GtkCellLayout and GtkCellEditable.

## Properties

      "has-all-option"           gboolean              : Read / Write

## Description

## Details

### EmpathyAccountChooserFilterFunc ()

    gboolean            (*EmpathyAccountChooserFilterFunc)  (McAccount *account,
                                                             gpointer user_data);

`account` : |
`user_data` : |
Returns : |

### EmpathyAccountChooser

    typedef struct _EmpathyAccountChooser EmpathyAccountChooser;

### empathy_account_chooser_new ()

    GtkWidget*          empathy_account_chooser_new         (void);

Returns : |

### empathy_account_chooser_get_account ()

    McAccount*          empathy_account_chooser_get_account (EmpathyAccountChooser *chooser);

`chooser` : |
Returns : |

### empathy_account_chooser_set_account ()

    gboolean            empathy_account_chooser_set_account (EmpathyAccountChooser *chooser,
                                                             McAccount *account);

`chooser` : |
`account` : |
Returns : |

### empathy_account_chooser_get_has_all_option ()

    gboolean            empathy_account_chooser_get_has_all_option
                                                            (EmpathyAccountChooser *chooser);

`chooser` : |
Returns : |

### empathy_account_chooser_set_has_all_option ()

    void                empathy_account_chooser_set_has_all_option
                                                            (EmpathyAccountChooser *chooser,
                                                             gboolean has_all_option);

`chooser` : |
`has_all_option` : |

### empathy_account_chooser_set_filter ()

    void                empathy_account_chooser_set_filter  (EmpathyAccountChooser *chooser,
                                                             EmpathyAccountChooserFilterFunc filter,
                                                             gpointer user_data);

`chooser` : |
`filter` : |
`user_data` : |

### empathy_account_chooser_filter_is_connected ()

    gboolean            empathy_account_chooser_filter_is_connected
                                                            (McAccount *account,
                                                             gpointer user_data);

`account` : |
`user_data` : |
Returns : |

## Property Details

### The "`has-all-option`" property

      "has-all-option"           gboolean              : Read / Write

Have a separate option in the list to mean ALL accounts.

Default value: FALSE